Skip to main content
PATCH
/
api
/
v1
/
school
/
notices
/
{id}
Update notices partial
curl --request PATCH \
  --url https://test-api.afrainity.com/api/v1/school/notices/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notice_file": "<string>",
  "title": "<string>",
  "description": "<string>",
  "is_deleted": true
}
'
{
  "title": "<string>",
  "description": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "notice_file": "<string>",
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this notice.

Body

Auto-populate created_by from request.user when available.

notice_file
file | null
title
string
Required string length: 1 - 255
description
string
Minimum string length: 1
is_deleted
boolean

Response

200 - application/json

Auto-populate created_by from request.user when available.

title
string
required
Maximum string length: 255
description
string
required
id
string<uuid>
notice_file
string<uri> | null
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>